#include <stddef.h>

#define AVRG 512

#define SUPPLY_VOLTS 3.3
#define REF_OHMS 993.5

#define ADC_0V_COUNT 170
#define ADC_MAX_VOLT 1.95

extern volatile float ch_values[10];

void adc_init(void);
void dma_init(void);
float avrg(uint16_t * values, uint16_t length);
